Panda3D

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
LoaderFileTypeStf Class Reference

This defines the Loader interface to read SpeedTree STF files–a simple text file that describes a forest of trees (references to SRT files). More...

`#include "loaderFileTypeStf.h"`

Inheritance diagram for LoaderFileTypeStf:

## Public Member Functions
virtual TypeHandle | force_init_type ()
virtual std::string | get_extension () const
virtual std::string | get_name () const
virtual TypeHandle | get_type () const
virtual | PT (PandaNode) load_file(const Filename &path
virtual bool | supports_compressed () const
| Returns true if this file type can transparently load compressed files (with a .pz or .gz extension), false otherwise. More...
Public Member Functions inherited from LoaderFileType
virtual std::string | get_additional_extensions () const
| Returns a space-separated list of extension, in addition to the one returned by get_extension(), that are recognized by this loader. More...
virtual bool | get_allow_disk_cache (const LoaderOptions &options) const
| Returns true if the loader flags allow retrieving the model from the on- disk bam cache (if it is enabled), false otherwise. More...
virtual bool | get_allow_ram_cache (const LoaderOptions &options) const
| Returns true if the loader flags allow retrieving the model from the in- memory ModelPool cache, false otherwise. More...
virtual bool | save_file (const Filename &path, const LoaderOptions &options, PandaNode *node) const
virtual bool | supports_load () const
| Returns true if the file type can be used to load files, and load_file() is supported. More...
virtual bool | supports_save () const
| Returns true if the file type can be used to save files, and save_file() is supported. More...
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from LoaderFileType
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...

## Public Attributes
virtual const LoaderOptions BamCacheRecord *record | const
virtual const LoaderOptions & | options
Public Attributes inherited from LoaderFileType
virtual const LoaderOptions BamCacheRecord *record | const
virtual const LoaderOptions & | options
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

This defines the Loader interface to read SpeedTree STF files–a simple text file that describes a forest of trees (references to SRT files).

Definition at line 25 of file loaderFileTypeStf.h.

## Member Function Documentation

## ◆ supports_compressed()

bool LoaderFileTypeStf::supports_compressed | ( |  | ) | const
| virtual

Returns true if this file type can transparently load compressed files (with a .pz or .gz extension), false otherwise.

Reimplemented from LoaderFileType.

Definition at line 46 of file loaderFileTypeStf.cxx.

The documentation for this class was generated from the following files:

- panda/src/speedtree/loaderFileTypeStf.h
- panda/src/speedtree/loaderFileTypeStf.cxx